// Libraries
const supertest = require('supertest');

/**
 * This is an example of an end-to-end test suite. The Loopback application
 * does not come with a route defined at `/api` so this endpoint should return
 * a 404.
 */
describe('GET /api', () => {

  // --------------------------------------------------
  // Initialize
  // --------------------------------------------------
  set('app', () => require('../../../server/server'));

  // --------------------------------------------------
  // Request
  // --------------------------------------------------
  set('url', () => '/api');
  action('request', () => supertest(app).get(url));

  beforeEach(async () => {
    response = await request();
  });

  it('should return a 404', () => {
    expect(response.status).toEqual(404);
  });

  it('should return an empty response', () => {
    expect(response.body).toMatchObject({
      error: {
        message: 'There is no method to handle GET /',
      },
    });
  });
});
