// Gigster
const {Module} = require('@gigster/gig-sdk');
const {Loopback, Node} = require('@gigster/gig-frameworks');
const {LogService} = require('@gigster/gig-services');

/**
* LoopbackBaseModule updates the Loopback base to make it production ready
* and adds some configuration for all Gigster projects..
* @class
*/
class LoopbackBaseModule extends Module {

  // --------------------------------------------------
  // Initialize
  // --------------------------------------------------
  constructor(options) {
    super(options);
    this.loopback = new Loopback({module: this});
    this.node = new Node({module: this});
  }

  // --------------------------------------------------
  // Generate
  // --------------------------------------------------

  /**
  * Generates the module.
  * @method
  */
  generate() {
    LogService.verbose('Generating loopback-base');
    this.copyFiles();
    this.copyModule();
  }

}

module.exports = LoopbackBaseModule;
